GET checks/{checkId}/results/{millisecondsUtc}?detail_level={detail_level}
Gets a specific check result by a numeric java timestamp.
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
| millisecondsUtc | Timestamp represented as a UNIX Epoch timestamp (millisecs after 1970). Type: numeric. Example: 1376980667000. |
| detail_level | Result detalization level. Allowed values: 0, 1. Default value: 0. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Responses
Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/12345/results/1376980667000?detail_level=1&auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model examples and descriptions
When result detalization level is 0
{
"check_id": 12345,
"timestamp_utc": "2024-09-27T22:22:13",
"severity": "F",
"value": 23454,
"unit": "ms"
}
| Name | Type | Description |
|---|---|---|
| check_id | Integer | The numeric identifier of the check. |
| timestamp_utc | DateTime | Result timestamp. |
| severity | String | Result severity. |
| value | Integer | Result value. |
| unit | String | Result unit of measure. |
When result detalization level is 1
{
"message": "1 url, 148/6797 sent/received bytes.",
"identifier": "35649615-c4e4-4d5a-8fcc-8793aa756ae7",
"attempts": 1,
"result_code": 0,
"check_id": 12345,
"timestamp_utc": "2024-09-27T22:22:13",
"severity": "E",
"value": 4637,
"unit": "byte"
}
| Name | Type | Description |
|---|---|---|
| message | String | The result message. |
| identifier | Guid | The result identifier. |
| attempts | Integer | The number of attempts. |
| result_code | Integer | The code of result. |
| check_id | Integer | The numeric identifier of the check. |
| timestamp_utc | DateTime | Result timestamp. |
| severity | String | Result severity. |
| value | Integer | Result value. |
| unit | String | Result unit of measure. |